/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;
import java.util.Enumeration;

/**
* A DIM (Datacaster Interface Module) has inputs but no output.  DIMs must
* transform inputs into a format acceptable to an external sink. 
* They must notify that there is new information available.  They
* must reserve the internal product if it will be in use by
* external agents so that the internal product does not get
* "swept away" <p>
*
* @author Nazario Irizarry, Jr.
*/
public interface DIM extends  Sink, ConnectedAgent
{

}
