/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;

/**
* The thing returned by a Schedulable
* object. <p>
* @see Schedulable
*
* @author Nazario Irizarry, Jr.
*/
public interface ScheduledCommand extends Task {

/**
* @return time when exection is desired
*/
	public long getTime();
/**
* Delay scheduled time a certain amount
*
* @param timeSeconds time in seconds to delay
*/
	public void delayFromNow(int timeSeconds);
}