/* Copyright 1999 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.util;

/**
* A hashtable that is sorted based on its Elements (not keys).
*
* @author Nazario Irizarry, Jr.
*/
public class SortedHashOnElements extends SortedHash {


	public SortedHashOnElements() {
		sortOnElements = true;
	}


	public SortedHashOnElements(BinaryCompare compareClass) {
		super(compareClass);
		sortOnElements = true;
	}


}