/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.util.draw;

public class DrawEvent {

	Block theBlock;
	Block toBlock;
	BlockConnector theConnector;
	String id;
	public static String SAVE = "Save";
	public static String LOAD = "Load";
	
	
	DrawEvent(String id) {
		this.id = id;
	}
/*
	DrawEvent(Block theBlock, String id) {
		this.id = id;
		this.theBlock = theBlock;
	}
*/
	DrawEvent(Block theBlock) {
		this.theBlock = theBlock;
	}
/*
	DrawEvent(BlockConnector theConnector, String id) {
		this.id = id;
		this.theConnector = theConnector;
	}
*/
	DrawEvent(Block fromBlock, Block toBlock) {
		this.theBlock = fromBlock;
		this.toBlock = toBlock;
	}
	
	public Block getBlock() {
		return theBlock;
	}

	public BlockConnector getConnector() {
		return theConnector;
	}

	public String getId() {
		return id;
	}

	public Block getFromBlock() {
		return theBlock;
	}
	public Block getToBlock() {
		return toBlock;
	}
}