/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pdif.eventParser;

/** 
* A node
*
* @version  1, 12 Dec 1997
* @author   Nazario Irizarry, Jr.
*/

public class Node {
/**
* All instances of PDIF information nodes are typed (of a specific kind)
*/
	public String kind;
/**
* All instances of PDIF information nodes have a unique id.  The uniqueness
* is at least within nodes of similar kind, but in general should probably
* be unique for all nodes of any kind.
*/
	public String id = "";
/**
* Create an reference to an instance of a PDIF node
*/
	public Node(String kind, String id) {
		this.kind = kind;
		if (id != null)
			this.id = id;
	}
}