package org.mitre.pam.daemon.rules;
//package jess;

import java.io.*;
import java.awt.*;
import java.awt.event.*;

/**
* Creates an output frame with an area to display
* facts or rules.
*
* @author Nazario Irizarry, Jr.
* @version 1.0 3/14/1998
*
*/

public class IndexedOutputWindow extends Frame implements ActionListener{

	List history;
	int numberHistoryLines = 50;

	
/**
* @param title the name of the Java frame
*/
	public IndexedOutputWindow(String title) {
		super(title);
		Font stdFont = new Font("Monospaced",Font.PLAIN, 12);
		
		history = new List();
//		history.addActionListener(this);
		history.setFont(stdFont);

		setBounds(20,20,400,300);
		setLayout(new BorderLayout());
		add("Center",history);
				
//		show();
	}
	
	

	public void actionPerformed(ActionEvent e) {
		Object source = e.getSource();
	}
	
	public void appendLine(String line) {

		history.addItem(line);
		while (history.getItemCount() > numberHistoryLines) {
			history.remove(0);
		}
	}

}
