/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.aggregator;

import java.util.*;

import org.mitre.pam.interfaces.Product;

/**
* A basic Juggler that does little other than accept the composite product
* and stamp product attributes on the product.
*
* @author Nazario Irizarry, Jr.
*/
public class PassThru extends ChanSchedBase {
	
/*
* 
*/
	public PassThru () {
		super();
		setPeriod(60);
	}
/**
* This channel builds a composite product from the product that it's sources provide.
* It augments the topic vector of the source product -- which is wrong when two channels
* end up using the same product, but this will have to do for now.
*/
	protected Product buildProduct(Product inputProduct) {
		return inputProduct;
	}
}
