/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.daemon;

import java.io.IOException;

/**
* A simple interface to accomodate different styles of println.
*
* @author Nazario Irizarry, Jr.
*/
public interface HasPrintLine {

	public void println(String s) throws IOException;	
	public void print(String s) throws IOException;	
	public void flush() throws IOException;	

}