/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.getter.remote;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.net.URL;
/**
* RMI interface for the ConnectorServer class
*
* @author Srinivas Inguva
*/

public interface ConnectorInterface extends Remote {

  public static final String PRODUCT_FILE_NAME = "prodStore.txt";

  public int notify(URL location) throws RemoteException;

}
