/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.monitor;

import org.mitre.pam.executive.ExecGlobal;

/**
* Serves the contents of the support directory.
*
* @author Nazario Irizarry
*/

public class SrvSupportDir extends SrvDir {

/**
* Get a reference to the exec if we don't already have one.
* Get a reference to the working directory.
*/
	protected void getExec() {
		super.getExec();
		if (relativeLocalRoot == null) {
			relativeLocalRoot = ExecGlobal.getSupportDir();
			logicalURLRoot = ExecGlobal.getSupportDirURLRoot();
		}
	}

    public String getServletInfo() {
		return "serve iPAM fixed files and directories";
	}


}
