/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.productVisitor;

/**
* ProductVisitor which overrides AsPlainText such that it does not
* display the product root Id. Typically this is used for the email DIM
* where the root Id is used in the subject line and redundant if left
* in the message body too.
*
* @author Jason Mathews
*/

public class AsTickerTextNoRootId extends AsTickerText {

  public AsTickerTextNoRootId() {
        rootIdSuppress = true;
  }
  
}
