/* Copyright 1999 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.bert;

interface LoadCallbacks {
	void setUserControls(boolean enabled);
	void readLayout();
	void autoLayout(boolean markAsMoved);
	void createAvailableList();
	void cleanSlate();
	void setStatus(String status);
	void setNewStateStructure(BertPDIFRead stateStructure);
	BertPDIFRead getStateStructure();
	void showMessageDlg(String msg);
	boolean isDebugSession();
}