/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;
/**
* Defines a listener interface for exec configuration edits <p>
*
* @author Nazario Irizarry, Jr.
*/

public interface ConfigurationListener extends java.util.EventListener  {
	/**
	* A node has been created 
	*/
	public void nodeCreated(ConfigurationEvent e) ;
			
	/**
	* A node deleted
	*/
	public void nodeDeleted(ConfigurationEvent e) ;

	/**
	* A connection made
	*/
	public void connectionMade(ConfigurationEvent e) ;

	/**
	* A connection broken
	*/
	public void connectionBroken(ConfigurationEvent e) ;

}
