/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;

/**
* A method for objects that have identifiers.<p>
*
* @author Nazario Irizarry, Jr.
*/
public interface Identifiable {

/**
* Identifier can be:
* - the unique id of an item
* - the role the item plays in the container
* - the human readable name of an object
*/
	public String getId();
/**
* Get the kind 
*/
	public String getKind();
}



