/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;


/**
* Identify when a memento has changed, either its composition or properties.
*
* @author Nazario Irizarry, Jr
*/
public class MementoEvent extends java.beans.PropertyChangeEvent {


    public MementoEvent(Object source, String propertyName,
				     Object oldValue, Object newValue) 
	{
		super(source,  propertyName, oldValue,  newValue);
	}
	
    public String toString() {
        return "MementoEvent [source=" + source + "]";
    }

}
