/* Copyright 1999 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;
/**
* Attributes and constants used by agents that have input queues
*
* @author Nazario Irizarry, Jr.
*/
public interface QueueAgentAttributes {
	public final static String THREAD_PRIORITY = "queueThreadPriority";
	public final static String LOG_DROPS = "logDroppedData";
	public final static String MAX_QUEUE_SIZE = "queueSize";
	public final static String DROPPED_DATA_COUNT = "droppedDataCount";
	public final static String DROP_IF_FULL = "dropDataIfQueueFull";
	public final static String DROP_USING_SALIENCE = "useProductSalienceWhenDropping";
	public final static String SALIENCE = "salience";
	public final static String ITEMS_ON_QUEUE = "numberOfItemsOnQueue";
	public final static String QUEUE_PAUSES_ALLOWED = "queuePausesAllowed";

}