/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;

/**
* All sources have a list of sinks.  They do
* not maintain the list. The exec maintains the list. <p>
*
* @author Nazario Irizarry, Jr.
*/
public interface Source  {
/**
* All sources maintain a product that they provide
* on request. <p>
*
* @return null if there is no product available.
*
* @author Nazario Irizarry, Jr.
*/
	public Product getProduct ();
}
