/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.monitor.utils;

import java.awt.*;

/**
 * A simple class to draw a line.
 */
public class LineCanvas extends Canvas
{
  public static int HORIZONTAL = 0;
  public static int VERTICAL = 1;

  int orientation;

  public LineCanvas(int orientation)
  {
    this.orientation = orientation;
  }

  public void paint(Graphics g)
  {
    g.setColor(Color.white);
    if (orientation == HORIZONTAL)
      g.drawLine(0,0,this.getBounds().width,0);
    else
      g.drawLine(0,0,0,this.getBounds().height);
  
    g.setColor(Color.darkGray);
    if (orientation == HORIZONTAL)
      g.drawLine(0,1,this.getBounds().width,1);
    else
      g.drawLine(1,0,1,this.getBounds().height);
  }
}
