/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pdif.eventParser;
import java.util.Enumeration;
import java.io.IOException;
/**
* Expermental interface to PDIF items.  
*
* @author Nazario Irizarry
*/

public interface PDIFItem {
	public void storeParts(PDIFWriter pdifOut) throws IOException;
	
	public void storeRelations(PDIFWriter pdifOut)  throws IOException;

	public Enumeration getRelatedPDIFItems();
	
	public String getKind();
	public String getUid();
	
}
