/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.monitor;

import org.mitre.pam.executive.ExecGlobal;

/**
* Serves working directory files.
*
* @author Nazario Irizarry
*/

public class SrvWorkingDir extends SrvDir {

/**
* Get a reference to the exec if we don't already have one.
* Get a reference to the working directory.
*/
	protected void getExec() {
		super.getExec();
		if (relativeLocalRoot == null) {
			relativeLocalRoot = ExecGlobal.g_getWorkingDir();
			logicalURLRoot = ExecGlobal.getWorkingDirURLRoot();
			
		}
	}

    public String getServletInfo() {
		return "serve iPAM working files or directories";
	}

}
